package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合伙人绑定页面配置对象 user_binding_config
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class UserBindingConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String promotionName;

    /** 图片 */
    @Excel(name = "图片")
    private String promotionIcon;

    /** 提示文本 */
    @Excel(name = "提示文本")
    private String promotionType;

    /** 类别：0为推广，1为分享 */
    @Excel(name = "类别：0为推广，1为分享")
    private Long category;

    /** 删除标志 */
    private Long delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPromotionName(String promotionName) 
    {
        this.promotionName = promotionName;
    }

    public String getPromotionName() 
    {
        return promotionName;
    }
    public void setPromotionIcon(String promotionIcon) 
    {
        this.promotionIcon = promotionIcon;
    }

    public String getPromotionIcon() 
    {
        return promotionIcon;
    }
    public void setPromotionType(String promotionType) 
    {
        this.promotionType = promotionType;
    }

    public String getPromotionType() 
    {
        return promotionType;
    }
    public void setCategory(Long category) 
    {
        this.category = category;
    }

    public Long getCategory() 
    {
        return category;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("promotionName", getPromotionName())
            .append("promotionIcon", getPromotionIcon())
            .append("promotionType", getPromotionType())
            .append("category", getCategory())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
